Prism TV app supported devices

The Prism™ TV application supports a wide range of Apple and Android mobile devices.

Apple iOS mobile devices

Software requirements:

  • Apple iOS version 5.1 or higher

Supported devices:

  • iPad 1, 2, and 3
  • iPad Mini
  • iPad Air
  • iPhone 3GS, 4, 4s, and 5
  • iPod Touch 3rd Gen, 4th Gen, and 5th Gen

Android mobile devices

Software requirements:

  • Android version 2.3 and above
  • Standard wireless carrier software only (no rooted phones)

Supported devices:

  • Amazon Kindle Fire (all versions)
  • Barnes & Noble
  • Nook HD
  • Nook HD+
  • Nook Tablet
  • HTC
  • Amaze 4G
  • Desire C
  • Desire S
  • Desire V
  • Desire X
  • Droid DNA
  • Evo 3D
  • Evo 4G LTE
  • Explorer
  • One S
  • One V
  • One X
  • One X+
  • One XL
  • Rezound
  • Sensation
  • Sensation XE
  • Sensation XL
  • Vivid
  • LG
  • Optimus 3D
  • Optimus L9
  • Prada 3.0


While your Prism TV app may work with other Android devices, technical support is only provided for the devices listed in this article. If you want to use your Prism TV app with a different Android device, use these minimum requirements as a guide.

Minimum software requirements for non-supported Android devices:

  • Android version 2.3 and above
  • Standard wireless carrier software only (no rooted phones)

Minimum hardware requirements for non-supported Android devices:

  • Processor speed:
  • Minimum: 1.0 GHz processor
  • Preferred: 1.2 GHz dual core processor
  • Memory (RAM):
  • Minimum: 512MB RAM
  • Preferred: 1GB RAM

All trademark names are property of their respective owners.